Subject: bug#62750: 29.0.50; Commands 'package-update' and 'package-update-all' should be called '*-upgrade'

From: Jim Porter <[email-masked]>
Date: Wed, 19 Apr 2023 15:23:44 -0700

On 4/11/2023 2:28 PM, Dmitry Gutov wrote:
> These commands use the term 'update'. But package-menu-mark-upgrades, 
> which has been in package.el for years, uses the term 'upgrade' in its 
> name and its docstring ("all upgradable packages", etc). There are a few 
> auxiliary functions which also use that term, but this is the 
> public-facing one.

Given this, I think we should rename the functions. If that means adding 
obsolete aliases to be polite, that's ok too. (Personally, I don't think 
it's necessary, since users tracking the development builds should 
expect some minor breakage, but it doesn't hurt to have aliases.)